Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Property_Boolean Class Reference

Boolean Property. More...

`#include <Property_Boolean.h>`

List of all members.

## Public Methods
| TAO_Notify_Property_Boolean (const char *name, CORBA::Boolean initial)
| Constuctor.
| TAO_Notify_Property_Boolean (const char *name)
| Constuctor.
TAO_Notify_Property_Boolean & | operator= (const TAO_Notify_Property_Boolean &rhs)
| Assignment from TAO_Notify_Property_Boolean.
TAO_Notify_Property_Boolean & | operator= (const CORBA::Boolean &rhs)
| Assignment from CORBA::Boolean.
int | operator== (const CORBA::Boolean &rhs) const
| Equality comparison operator.
int | operator!= (const CORBA::Boolean &rhs) const
| Inequality comparison operator.
int | set (const TAO_Notify_PropertySeq &property_seq)
void | get (CosNotification::PropertySeq &prop_seq)
CORBA::Boolean | value (void) const
| Return the value.
CORBA::Boolean | is_valid (void) const
| Is the current value valid.
## Protected Attributes
const char * | name_
| The Property name.
CORBA::Boolean | value_
| The value.
CORBA::Boolean | valid_
| Is the value valid.

## Detailed Description

Boolean Property.

## Constructor & Destructor Documentation

TAO_Notify_Property_Boolean::TAO_Notify_Property_Boolean | ( | const char * | name,
|  | CORBA::Boolean | initial
| ) |

| Constuctor.

TAO_Notify_Property_Boolean::TAO_Notify_Property_Boolean | ( | const char * | name | ) |

| Constuctor.

## Member Function Documentation

void TAO_Notify_Property_Boolean::get | ( | CosNotification::PropertySeq & | prop_seq | ) |

CORBA::Boolean TAO_Notify_Property_Boolean::is_valid | ( | void |  | ) | const

| Is the current value valid.

int TAO_Notify_Property_Boolean::operator!= | ( | const CORBA::Boolean & | rhs | ) | const

| Inequality comparison operator.

TAO_Notify_Property_Boolean& TAO_Notify_Property_Boolean::operator= | ( | const CORBA::Boolean & | rhs | ) |

| Assignment from CORBA::Boolean.

TAO_Notify_Property_Boolean& TAO_Notify_Property_Boolean::operator= | ( | const TAO_Notify_Property_Boolean & | rhs | ) |

| Assignment from TAO_Notify_Property_Boolean.

int TAO_Notify_Property_Boolean::operator== | ( | const CORBA::Boolean & | rhs | ) | const

| Equality comparison operator.

int TAO_Notify_Property_Boolean::set | ( | const TAO_Notify_PropertySeq & | property_seq | ) |

CORBA::Boolean TAO_Notify_Property_Boolean::value | ( | void |  | ) | const

| Return the value.

## Member Data Documentation

const char* TAO_Notify_Property_Boolean::name_`[protected]`

| The Property name.

CORBA::Boolean TAO_Notify_Property_Boolean::valid_`[protected]`

| Is the value valid.

CORBA::Boolean TAO_Notify_Property_Boolean::value_`[protected]`

| The value.

The documentation for this class was generated from the following files:

- Property_Boolean.h
- Property_Boolean.cpp